"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importStar(require("react"));
const react_native_feather_1 = require("react-native-feather");
const Pressable_1 = __importDefault(require("./Pressable"));
const StackX_1 = __importDefault(require("./Stack/StackX"));
const Text_1 = __importDefault(require("./Text"));
const Checkbox = ({ children, isChecked, onChange }, ref) => {
    const [checked, toggleChecked] = (0, react_1.useState)(false);
    const onPress = () => {
        onChange === null || onChange === void 0 ? void 0 : onChange(!checked);
        toggleChecked(!checked);
    };
    const isRealChecked = typeof isChecked === 'boolean' ? isChecked : checked;
    const backgroundColor = isRealChecked ? '#b88b2d' : '#fff';
    const iconSize = 18;
    const size = iconSize * 1.5;
    return (react_1.default.createElement(Pressable_1.default, { ref: ref, onPress: onPress },
        react_1.default.createElement(StackX_1.default, { alignItems: "center", space: 12 },
            react_1.default.createElement(StackX_1.default, { alignItems: "center", justifyContent: "center", borderWidth: 1, borderColor: "#b88b2d", borderRadius: 999, backgroundColor: backgroundColor, width: size, height: size }, isRealChecked && (react_1.default.createElement(react_native_feather_1.Check, { color: "#fff", width: iconSize, height: iconSize }))),
            typeof children === 'string' ? (react_1.default.createElement(Text_1.default, { fontSize: 14 }, children)) : (children))));
};
exports.default = (0, react_1.memo)((0, react_1.forwardRef)(Checkbox));
